#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""guacamole_keysyms library stub"""


__version__: str
__author__: str
__author_email__: str


class UnshiftedKeyCodes:
    BACKSPACE: int
    TAB: int
    ENTER: int
    SHIFT: int
    CTRL: int
    ALT: int
    PAUSE: int
    CAPS_LOCK: int
    ESCAPE: int
    SPACE: int
    PAGE_UP: int
    PAGE_DOWN: int
    END: int
    HOME: int
    LEFT_ARROW: int
    UP_ARROW: int
    RIGHT_ARROW: int
    DOWN_ARROW: int
    INSERT: int
    DELETE: int
    LEFT_WINDOW_KEY: int
    RIGHT_WINDOW_KEY: int
    SELECT_KEY: int
    F1: int
    F2: int
    F3: int
    F4: int
    F5: int
    F6: int
    F7: int
    F8: int
    F9: int
    F10: int
    F11: int
    F12: int
    NUM_LOCK: int
    SCROLL_LOCK: int


class KeyIdentifiers:
    AGAIN: int
    ALL_CANDIDATES: int
    ALPHANUMERIC: int
    ALT: int
    ATTN: int
    ALT_GRAPH: int
    ARROW_DOWN: int
    ARROW_LEFT: int
    ARROW_RIGHT: int
    ARROW_UP: int
    BACKSPACE: int
    CAPS_LOCK: int
    CANCEL: int
    CLEAR: int
    CONVERT: int
    COPY: int
    CRSEL: int
    CR_SEL: int
    CODE_INPUT: int
    COMPOSE: int
    CONTROL: int
    CONTEXT_MENU: int
    DELETE: int
    DOWN: int
    END: int
    ENTER: int
    ERASE_EOF: int
    ESCAPE: int
    EXECUTE: int
    EXSEL: int
    EX_SEL: int
    F1: int
    F2: int
    F3: int
    F4: int
    F5: int
    F6: int
    F7: int
    F8: int
    F9: int
    F10: int
    F11: int
    F12: int
    F13: int
    F14: int
    F15: int
    F16: int
    F17: int
    F18: int
    F19: int
    F20: int
    F21: int
    F22: int
    F23: int
    F24: int
    FIND: int
    GROUP_FIRST: int
    GROUP_LAST: int
    GROUP_NEXT: int
    GROUP_PREVIOUS: int
    FULL_WIDTH: int
    HALF_WIDTH: int
    HANGUL_MODE: int
    HANKAKU: int
    HANJA_MODE: int
    HELP: int
    HIRAGANA: int
    HIRAGANA_KATAKANA: int
    HOME: int
    HYPER: int
    INSERT: int
    JAPANESE_HIRAGANA: int
    JAPANESE_KATAKANA: int
    JAPANESE_ROMAJI: int
    JUNJA_MODE: int
    KANA_MODE: int
    KANJI_MODE: int
    KATAKANA: int
    LEFT: int
    META: int
    MODE_CHANGE: int
    NUM_LOCK: int
    PAGE_DOWN: int
    PAGE_UP: int
    PAUSE: int
    PLAY: int
    PREVIOUS_CANDIDATE: int
    PRINT_SCREEN: int
    REDO: int
    RIGHT: int
    ROMAN_CHARACTERS: int
    SCROLL: int
    SELECT: int
    SEPARATOR: int
    SHIFT: int
    SINGLE_CANDIDATE: int
    SUPER: int
    TAB: int
    UP: int
    UNDO: int
    WIN: int
    ZENKAKU: int
    ZENKAKU_HANKAKU: int


class ShiftedKeywords:
    ALT: int


class NoRepeat:
    LEFT_SHIFT: int
    RIGHT_SHIFT: int
    LEFT_CTRL: int
    RIGHT_CTRL: int
    LEFT_META: int
    RIGHT_META: int
    LEFT_ALT: int
    RIGHT_ALT: int
    LEFT_HYPER: int
    RIGHT_HYPER: int


class AsciiKeys:
    KEY_SPACE: int
    KEY_LOWERCASE_A: int
    KEY_LOWERCASE_B: int
    KEY_LOWERCASE_C: int
    KEY_LOWERCASE_D: int
    KEY_LOWERCASE_E: int
    KEY_LOWERCASE_F: int
    KEY_LOWERCASE_G: int
    KEY_LOWERCASE_H: int
    KEY_LOWERCASE_I: int
    KEY_LOWERCASE_J: int
    KEY_LOWERCASE_K: int
    KEY_LOWERCASE_L: int
    KEY_LOWERCASE_M: int
    KEY_LOWERCASE_N: int
    KEY_LOWERCASE_O: int
    KEY_LOWERCASE_P: int
    KEY_LOWERCASE_Q: int
    KEY_LOWERCASE_R: int
    KEY_LOWERCASE_S: int
    KEY_LOWERCASE_T: int
    KEY_LOWERCASE_U: int
    KEY_LOWERCASE_V: int
    KEY_LOWERCASE_W: int
    KEY_LOWERCASE_X: int
    KEY_LOWERCASE_Y: int
    KEY_LOWERCASE_Z: int
    KEY_UPPERCASE_A: int
    KEY_UPPERCASE_B: int
    KEY_UPPERCASE_C: int
    KEY_UPPERCASE_D: int
    KEY_UPPERCASE_E: int
    KEY_UPPERCASE_F: int
    KEY_UPPERCASE_G: int
    KEY_UPPERCASE_H: int
    KEY_UPPERCASE_I: int
    KEY_UPPERCASE_J: int
    KEY_UPPERCASE_K: int
    KEY_UPPERCASE_L: int
    KEY_UPPERCASE_M: int
    KEY_UPPERCASE_N: int
    KEY_UPPERCASE_O: int
    KEY_UPPERCASE_P: int
    KEY_UPPERCASE_Q: int
    KEY_UPPERCASE_R: int
    KEY_UPPERCASE_S: int
    KEY_UPPERCASE_T: int
    KEY_UPPERCASE_U: int
    KEY_UPPERCASE_V: int
    KEY_UPPERCASE_W: int
    KEY_UPPERCASE_X: int
    KEY_UPPERCASE_Y: int
    KEY_UPPERCASE_Z: int
    SIGN_EXCLAMATION: int
    SIGN_DOUBLE_QUOTE: int
    SIGN_HASH: int
    SIGN_DOLLAR: int
    SIGN_PERCENT: int
    SIGN_AMPERSAND: int
    SIGN_SINGLE_QUOTE: int
    SIGN_OPENING_BRACKET: int
    SIGN_CLOSING_BRACKET: int
    SIGN_STAR: int
    SIGN_PLUS: int
    SIGN_COMMA: int
    SIGN_MINUS: int
    SIGN_DOT: int
    SIGN_SLASH: int
    SIGN_COLON: int
    SIGN_SEMICOLON: int
    SIGN_LESS_THAN: int
    SIGN_EQUAL: int
    SIGN_MORE_THAN: int
    SIGN_QUESTION: int
    SIGN_AT: int
    SIGN_OPENING_SQUARE_BRACKET: int
    SIGN_BACKSLASH: int
    SIGN_CLOSING_SQUARE_BRACKET: int
    SIGN_CARET: int
    SIGN_UNDERSCORE: int
    SIGN_BACKTICK: int
    SIGN_OPENING_CURLY_BRACKET: int
    SIGN_PIPE: int
    SIGN_CLOSING_CURLY_BRACKET: int
    SIGN_TILDE: int
